%define version 3.0.2
%define releasedate 20050128
%define release 1.%{releasedate}.4mdk

##### RPM PROBLEM WORKAROUNDS

# Suppress automatically generated Requires for Perl libraries.
#define _requires_exceptions perl\(.*\)
  
#define _unpackaged_files_terminate_build       0 
#define _missing_doc_files_terminate_build      0

##### GENERAL DEFINITIONS

Name:		foomatic-filters
Version:	%{version}
Release:	%{release}
Summary:        Foomatic filters needed to run print queues with Foomatic PPDs
License:        GPL
Group:          System/Servers
Url:            http://www.linuxprinting.org/
Requires:       mpage
Obsoletes:	foomatic
Provides:	foomatic

BuildRequires:	autoconf2.5
BuildRequires:	perl-devel, file, libxml2-devel, mpage

##### SOURCES

# Foomatic packages
Source:	http://www.linuxprinting.org/download/foomatic/%{name}-%{version}-%{releasedate}.tar.bz2
Patch0: foomatic-filters-3.0.2-20050128-lib64.patch.bz2

##### BUILD ROOT

BuildRoot:	%_tmppath/%name-%version-%release-root

##### PACKAGE DESCRIPTION

%description -n foomatic-filters
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate PPD (Postscript Printer Description) files and printer queues
for CUPS, LPD, GNUlpr, LPRng, PPR, and PDQ using the database. There
is also the possibility to read the PJL options out of PJL-capable
laser printers and take them into account at the driver description
file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
 
The site http://www.linuxprinting.org/ is based on this database.

This package contains the filters needed to run print queues based on
Foomatic PPD files.



%prep
# remove old directory
rm -rf $RPM_BUILD_DIR/%{name}-%{version}-*

##### FOOMATIC

# Source trees for installation
%setup -q -n %{name}-%{version}-%{releasedate}
%patch0 -p1 -b .lib64


%build

# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
%configure
# Do not use "make" macro, as parallelized build of Foomatic does not
# work.
make


%install

rm -rf %{buildroot}

# Make directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

# Install program files
make	PREFIX=%{_prefix} \
        DESTDIR=%buildroot \
        install

# Remove superfluous file
rm -f %buildroot/etc/foomatic/filter.conf.sample

# Link to make Foomatic 2.0.x CUPS queues working with Foomatic 3.0.x
ln -s ../../../bin/foomatic-rip %buildroot%{_libdir}/cups/filter/cupsomatic

# Install documentation
install -d %buildroot%{_docdir}/foomatic-filters-%{version}
cp README USAGE TODO ChangeLog \
	%buildroot%{_docdir}/foomatic-filters-%{version}



##### GENERAL STUFF

# Correct permissions for all documentation files
chmod -R a+rX %{buildroot}%{_docdir}
chmod -R go-w %{buildroot}%{_docdir}
chmod -R u+w %{buildroot}%{_docdir}




##### FILES

%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}
%_bindir/*
%_libdir/cups/filter/*
%_prefix/lib/ppr/interfaces/*
%_prefix/lib/ppr/%_lib/*
%{_mandir}/man1/*
%dir %config(noreplace) %{_sysconfdir}/foomatic
%dir %config(noreplace) %{_sysconfdir}/foomatic/direct
%config(noreplace) %{_sysconfdir}/foomatic/filter.conf



##### CLEAN UP

%clean
rm -rf %{buildroot}

%changelog
* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.2-1.20050128.4mdk
- lib64 fixes thus making it arch-dependent

* Thu Feb 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.0.2-1.20050128.3mdk
- add BuildRequires: mpage

* Fri Jan 28 2005 Till Kamppeter <till@mandrakesoft.com> 3.0.2-1.20050128.2mdk
- Removed "debug" flag from the spec file.

* Fri Jan 28 2005 Till Kamppeter <till@mandrakesoft.com> 3.0.2-1.20050128.1mdk
- Updated foomatic-filters to the state of the 28/01/2005.
